<?php
session_start();

// Check if the user is not logged in
if (!isset($_SESSION['id'])) {
    // Redirect to the login page or another appropriate action
    header('Location: ../login'); // Assuming "/login" is the correct path
    exit();
}

require_once('../db.php');

// Fetch user information based on the user_id stored in the session
$user_id = $_SESSION['id'];

// Use a prepared statement to retrieve user data
$stmt = $pdo->prepare("SELECT id, name, phone, email, role, time  FROM administrators WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch(PDO::FETCH_ASSOC);


// Continue with the rest of your HTML content
?>
<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>AMS | Float Area</title>
  <link rel="shortcut icon" type="image/png" href="http://localhost/ams/src/html/images/elp.png" />
  <link rel="stylesheet" href="../../assets/css/styles.min.css" />
  <link rel="stylesheet" href="../../assets/libs/datatable/datatables.net/css/dataTables.bootstrap5.min.css">
</head>

<body>
  <!--  Body Wrapper -->
  <div class="page-wrapper" id="main-wrapper" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
    data-sidebar-position="fixed" data-header-position="fixed">
    <!-- Sidebar Start -->
    <?php include '../aside.php'; ?>
    <!--  Sidebar End -->
    <!--  Main wrapper -->
    <div class="body-wrapper">
      <!--  Header Start -->
      <?php include '../header.php'; ?>
      <!--  Header End -->
      <div class="body-wrappermm">
        <div class="container-fluid">
          <br><br><br><br>
          <div class="card bg-info-subtle shadow-none position-relative overflow-hidden mb-4">
            <div class="card-body px-4 py-3">
              <div class="row align-items-center">
                <div class="col-9">
                  <h4 class="fw-semibold mb-8">Float</h4>
                  <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                      <li class="breadcrumb-item" aria-current="page">float balance and statements</li>
                    </ol>
                  </nav>
                </div>
                <div class="col-3">
                  <div class="text-center mb-n5">
                    <img
                      src="../assets/images/breadcrumb/ChatBc.png"
                      alt=""
                      class="img-fluid mb-n4"
                    />
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="datatables">
            <!-- Column rendering -->
            <div class="row">
              <div class="col-12">
                <!-- ---------------------
                            start Column rendering
                        ---------------- -->
                <div class="card">
                  <div class="card-body">
                    <div class="mb-2">
                      <h5 class="mb-0">List of all floats</h5>
                    </div>
                    <div class="table-responsive">
                      <table id="col_render" class="table border table-striped table-bordered display text-nowrap"
                        style="width: 100%">
                        <thead>
                          <!-- start row -->
                          <tr>
                            <th>Agent</th>
                            <th>Location</th>
                            <th>Date deposited</th>
                            <th>Date Withdrawn</th>
                            <th>Current Balance (TSH)</th>
                          </tr>
                          <!-- end row -->
                        </thead>
                        <tbody>
                          <!-- start row -->
                          <tr>
                            <td>1029001</td>
                            <td>Mbeya, mwanjelwa</td>
                            <td>14/1/2024</td>
                            <td>-</td>
                            <td>125,900</td>
                          </tr>
                          <!-- end row -->
                        </tbody>
                        <tfoot>
                          <!-- start row -->
                          <tr>
                            <th>Agent</th>
                            <th>Location</th>
                            <th>Date deposited</th>
                            <th>Date Withdrawn</th>
                            <th>Current Balance (TSH)</th>
                          </tr>
                          <!-- end row -->
                        </tfoot>
                      </table>
                    </div>
                  </div>
                </div>
                <!-- ---------------------
                            end Column rendering
                        ---------------- -->
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
    <script>
  function handleColorTheme(e) {
    $("html").attr("data-color-theme", e);
    $(e).prop("checked", !0);
  }
</script>
<button class="btn btn-primary p-3 rounded-circle d-flex align-items-center justify-content-center customizer-btn"
  type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasExample" aria-controls="offcanvasExample">
  <i class="icon ti ti-settings fs-7"></i>
</button>




  </div>
  <div class="dark-transparent sidebartoggler"></div>
    </div>
  </div>
  <script src="../../assets/libs/jquery/dist/jquery.min.js"></script>
  <script src="../../assets/libs/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
  <script src="../../assets/js/sidebarmenu.js"></script>
  <script src="../../assets/js/app.min.js"></script>
  <script src="../../assets/libs/apexcharts/dist/apexcharts.min.js"></script>
  <script src="../../assets/libs/simplebar/dist/simplebar.js"></script>
  <script src="../../assets/js/dashboard.js"></script>
  <div class="dark-transparent sidebartoggler"></div>
  <!-- Import Js Files -->

<script src="../../assets/libs/jquery/dist/jquery.min.js"></script>
<script src="../../assets/js/app.min.js"></script>
<script src="../../assets/js/app.init.js"></script>
<script src="../../assets/libs/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
<script src="../../assets/libs/simplebar/dist/simplebar.min.js"></script>

<script src="../../assets/js/sidebarmenu.js"></script>
<script src="../../assets/js/theme.js"></script>

  <script src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
  <script src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
  <script src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
  <script src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
  <script src="../../assets/libs/datatable/datatables.net/js/jquery.dataTables.min.js"></script>
  <script src="../../assets/libs/datatable/datatable-advanced.init.js"></script>
</body>

</html>
