<?php
session_start();

// Check if the user is not logged in
if (!isset($_SESSION['user_id'])) {
    // Redirect to the login page or another appropriate action
    header('Location: ../account'); // Assuming "/login" is the correct path
    exit();
}

require_once('../db.php');

// Fetch user information based on the user_id stored in the session
$user_id = $_SESSION['user_id'];

// Use a prepared statement to retrieve user data
$stmt = $pdo->prepare("SELECT id, code, fname, lname, region, mtaa, tin, qr, phone, time  FROM agents WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch(PDO::FETCH_ASSOC);


// Continue with the rest of your HTML content
?>
<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo $user['fname'].' '.$user['lname'] ?> | ePesa wakala</title>
  <link rel="shortcut icon" type="image/png" href="../assets/images/logos/favicon.png" />
  <link rel="stylesheet" href="../../assets/css/styles.min.css" />
</head>

<body>
  <!--  Body Wrapper -->
  <div class="page-wrapper" id="main-wrapper" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
    data-sidebar-position="fixed" data-header-position="fixed">
    <!-- Sidebar Start -->
    <?php include '../asidenav.php'; ?>
    <!--  Sidebar End -->
    <!--  Main wrapper -->
    <div class="body-wrapper">
      <!--  Header Start -->
      <header class="app-header">
        <nav class="navbar navbar-expand-lg navbar-light">
          <ul class="navbar-nav">
            <li class="nav-item d-block d-xl-none">
              <a class="nav-link sidebartoggler nav-icon-hover" id="headerCollapse" href="javascript:void(0)">
                <i class="ti ti-menu-2"></i>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link nav-icon-hover" href="http://localhost/ams/src/html/home">
                <i class="ti ti-home"></i>
                <!-- <div class="notification bg-primary rounded-circle"></div> -->
              </a>
            </li>
          </ul>
          <div class="navbar-collapse justify-content-end px-0" id="navbarNav">
            <ul class="navbar-nav flex-row ms-auto align-items-center justify-content-end">
              <a href="../tangazo"  class="btn text-white" style="background-color: #004AAD">
                <span>
                  <i class="ti ti-clipboard"></i>
                </span>
                Tangazo
              </a>
            </ul>
          </div>
        </nav>
      </header>
      <!--  Header End -->
      <div class="container-fluid">
        <div class="container-fluidmm">
          <h5 class="card-title fw-semibold mb-4">Taarifa za Usajili</h5>
          <div class="card">
            <div class="card-body">
              <div class="mb-3 row">
                <div class="col-lg-6">
                  <div class="row mt-4 mb-1">
                    <div class="col-12">
                      <div class="p-1">
                        <a>UTAMBULISHO WA QR-CODE</a>
                      </div>
                    </div>
                  </div>
                  <div class="mb-3">
                    <img src="qrcodes/<?php echo $user['qr'] ?>" style="width: 300px;" alt="">
                  </div>
                </div>
                <div class="col-lg-6">
                  <div class="row mb-3">
                    <div class="col-3">
                      <img src="../images/customer.png" style="width: 80px; border-radius: 50%" alt="">
                    </div>
                    <div class="col-9">
                      <br>
                      <div class="p-3">
                        <h6>Umesajiliwa Tar <?php echo $user['time'] ?></h6>
                      </div>
                    </div>
                  </div>
                  <div class="p-2">
                    <div class="row mb-1">
                      <div class="col-6">
                        <div class="p-1">
                          <a>AGENT CODE</a>
                        </div>
                      </div>
                      <div class="col-6">
                        <div class="p-1">
                          <a style="text-decoration: underline; text-decoration-style: dotted;  "><?php echo $user['code'] ?> &nbsp;&nbsp;<i id="copy" onclick="document.getElementByElement('copy').style.fontWeight = 'bold'; " style="font-size: 18px; cursor: pointer; " class="ti ti-copy"></i> </a>
                        </div>
                      </div>
                    </div>
                    <div class="row mb-1">
                      <div class="col-6">
                        <div class="p-1">
                          <a>AGENT NAME</a>
                        </div>
                      </div>
                      <div class="col-6">
                        <div class="p-1">
                          <a><?php echo $user['fname'].' '.$user['lname'] ?> </a>
                        </div>
                      </div>
                    </div>
                    <div class="row mb-1">
                      <div class="col-6">
                        <div class="p-1">
                          <a>LOCATION</a>
                        </div>
                      </div>
                      <div class="col-6">
                        <div class="p-1">
                          <a><?php echo $user['region'].' - '.$user['mtaa'] ?> </a>
                        </div>
                      </div>
                    </div>
                    <div class="row mb-1">
                      <div class="col-6">
                        <div class="p-1">
                          <a>NAMBA YA SIMU</a>
                        </div>
                      </div>
                      <div class="col-6">
                        <div class="p-1">
                          <a><?php echo $user['phone'] ?> </a>
                        </div>
                      </div>
                    </div>
                    <div class="row mb-1">
                      <div class="col-6">
                        <div class="p-1">
                          <a>TIN</a>
                        </div>
                      </div>
                      <div class="col-6">
                        <div class="p-1">
                          <a><?php echo $user['tin'] ?> </a>
                        </div>
                      </div>
                    </div>
                    <div class="row mt-4 mb-1">
                      <div class="col-12">
                        <div class="p-1">
                          <a href="">Maelezo ya uwekaji Float</a>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row p-2 mt-4">
                <div class="col-lg-6">
                  <h6 style="font-weight: bold" class="">Pakua APP</h6>
                  <div class="mt-2">
                    <h6>Kwa mtumiaji wa Android</h6>
                    <div class="mt-1">
                      <a href="#">
                        <span>
                          <i class="ti ti-download"></i>
                        </span>
                        Download android APP</a>
                    </div>
                  </div>
                  <div class="mt-2">
                    <h6>Kwa mtumiaji wa iOS</h6>
                    <div class="mt-1">
                      <a href="#">
                        <span>
                          <i class="ti ti-download"></i>
                        </span>
                        Download iOS APP</a>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6">
                  <div class="mt-2">
                    <h6>Pia huduma ya uwakala inapatikana kwa kupiga </h6>
                    <div class="mt-1">
                      <a href="tel:*150*40#">
                        <span>
                          <i class="ti ti-phone"></i>
                        </span>
                        Piga *150*40#
                      </a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <script src="../../assets/libs/jquery/dist/jquery.min.js"></script>
  <script src="../../assets/libs/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
  <script src="../../assets/js/sidebarmenu.js"></script>
  <script src="../../assets/js/app.min.js"></script>
  <script src="../../assets/libs/simplebar/dist/simplebar.js"></script>
</body>

</html>
